<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="9d6152ef-3098-49d9-b409-2997cc7d2363" name="Default" comment="">
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/.idea/workspace.xml" afterPath="$PROJECT_DIR$/.idea/workspace.xml" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/application/controllers/AccountController.php" afterPath="$PROJECT_DIR$/application/controllers/AccountController.php" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/application/core/ControllerBase.php" afterPath="$PROJECT_DIR$/application/core/ControllerBase.php" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/application/core/Session.php" afterPath="$PROJECT_DIR$/application/core/Session.php" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/application/models/UserService.php" afterPath="$PROJECT_DIR$/application/models/UserService.php" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/application/models/viewmodels/RegistrationViewModel.php" afterPath="$PROJECT_DIR$/application/models/viewmodels/RegistrationViewModel.php" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/application/views/_layout.php" afterPath="$PROJECT_DIR$/application/views/_layout.php" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/application/views/account/delete.php" afterPath="$PROJECT_DIR$/application/views/account/delete.php" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/application/views/account/edit.php" afterPath="$PROJECT_DIR$/application/views/account/edit.php" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/application/views/account/login.php" afterPath="$PROJECT_DIR$/application/views/account/login.php" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/application/views/account/register.php" afterPath="$PROJECT_DIR$/application/views/account/register.php" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/common/css/style.css" afterPath="$PROJECT_DIR$/common/css/style.css" />
      <change type="MODIFICATION" beforePath="$PROJECT_DIR$/common/js/script.js" afterPath="$PROJECT_DIR$/common/js/script.js" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="default_target" />
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="AccountController.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/application/controllers/AccountController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="192">
              <caret line="70" column="40" lean-forward="false" selection-start-line="70" selection-start-column="40" selection-end-line="70" selection-end-column="40" />
              <folding>
                <element signature="e#126#152#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="View.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/application/core/View.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="115">
              <caret line="30" column="0" lean-forward="false" selection-start-line="30" selection-start-column="0" selection-end-line="30" selection-end-column="0" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="login.php" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/application/views/account/login.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="6">
              <caret line="25" column="81" lean-forward="false" selection-start-line="25" selection-start-column="81" selection-end-line="25" selection-end-column="81" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="style.css" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/common/css/style.css">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-608">
              <caret line="2068" column="19" lean-forward="false" selection-start-line="2068" selection-start-column="19" selection-end-line="2068" selection-end-column="19" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="JavaScript File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>-&gt;To</find>
      <find>GetFilledModelDataArray</find>
      <find>@font-face</find>
      <find>'Roboto-Regular'</find>
      <find>&quot;images</find>
      <find>td-pb-padding-side</find>
      <find>js/</find>
      <find>owl.</find>
      <find>owl.carousel.js</find>
      <find>glyph</find>
      <find>account-l</find>
      <find>[</find>
      <find>&quot;</find>
      <find>Redirect::To</find>
      <find>.sub</find>
      <find>top1</find>
      <find>margin-top: 2em</find>
      <find>pass</find>
    </findStrings>
    <replaceStrings>
      <replace>'Roboto', sans-serif</replace>
      <replace>&quot;/common/images</replace>
      <replace>'</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/common/ClassLoader.php" />
        <option value="$PROJECT_DIR$/.htaccess" />
        <option value="$PROJECT_DIR$/index.php" />
        <option value="$PROJECT_DIR$/application/core/Config.php" />
        <option value="$PROJECT_DIR$/application/controllers/ErrorController.php" />
        <option value="$PROJECT_DIR$/application/core/Router.php" />
        <option value="$PROJECT_DIR$/application/core/ModelMapper.inc.php" />
        <option value="$PROJECT_DIR$/application/core/ModelMapper.inc" />
        <option value="$PROJECT_DIR$/common/configs.php" />
        <option value="$PROJECT_DIR$/application/views/home/index" />
        <option value="$PROJECT_DIR$/application/models/Login.php" />
        <option value="$PROJECT_DIR$/application/models/AccountService.php" />
        <option value="$PROJECT_DIR$/application/models/Account.php" />
        <option value="$PROJECT_DIR$/application/core/BaseModelService.php" />
        <option value="$PROJECT_DIR$/application/core/Request.php" />
        <option value="$PROJECT_DIR$/application/core/ModelBase.php" />
        <option value="$PROJECT_DIR$/application/models/AccountViewModels.php" />
        <option value="$PROJECT_DIR$/application/models/models/LoginViewModel.php" />
        <option value="$PROJECT_DIR$/application/models/viewmodels/LoginViewModel.php" />
        <option value="$PROJECT_DIR$/application/core/ModelBinder.php" />
        <option value="$PROJECT_DIR$/application/core/Redirect.php" />
        <option value="$PROJECT_DIR$/application/models/Category.php" />
        <option value="$PROJECT_DIR$/application/models/News.php" />
        <option value="$PROJECT_DIR$/application/models/NewsService.php" />
        <option value="$PROJECT_DIR$/application/views/_layout.tpl" />
        <option value="$PROJECT_DIR$/application/controllers/CategoriesController.php" />
        <option value="$PROJECT_DIR$/application/core/ViewParametersManager.php" />
        <option value="$PROJECT_DIR$/application/models/MagazinePreview.php" />
        <option value="$PROJECT_DIR$/application/models/MagazinePreviewService.php" />
        <option value="$PROJECT_DIR$/common/css/bootstrap-3.1.1.min.css" />
        <option value="$PROJECT_DIR$/application/views/home/index.php" />
        <option value="$PROJECT_DIR$/application/core/Auth.php" />
        <option value="$PROJECT_DIR$/application/controllers/HomeController.php" />
        <option value="$PROJECT_DIR$/application/core/View.php" />
        <option value="$PROJECT_DIR$/application/core/DbProvider.php" />
        <option value="$PROJECT_DIR$/application/core/ModelMapper.php" />
        <option value="$PROJECT_DIR$/application/models/User.php" />
        <option value="$PROJECT_DIR$/application/views/account/index.php" />
        <option value="$PROJECT_DIR$/application/core/Session.php" />
        <option value="$PROJECT_DIR$/application/core/Application.php" />
        <option value="$PROJECT_DIR$/application/views/account/delete.php" />
        <option value="$PROJECT_DIR$/application/core/ControllerBase.php" />
        <option value="$PROJECT_DIR$/application/views/account/edit.php" />
        <option value="$PROJECT_DIR$/common/css/style.css" />
        <option value="$PROJECT_DIR$/common/js/script.js" />
        <option value="$PROJECT_DIR$/application/models/viewmodels/RegistrationViewModel.php" />
        <option value="$PROJECT_DIR$/application/models/UserService.php" />
        <option value="$PROJECT_DIR$/application/views/_layout.php" />
        <option value="$PROJECT_DIR$/application/views/account/register.php" />
        <option value="$PROJECT_DIR$/application/controllers/AccountController.php" />
        <option value="$PROJECT_DIR$/application/views/account/login.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="PhpServers">
    <servers>
      <server host="localhost" id="15ec5b1a-9d34-44fd-b0ec-77480656ec29" name="localhost" />
      <server host="cms" id="7e8f25cd-4fbe-488b-8deb-9670d716027d" name="cms" />
      <server host="lab1.zstu" id="aa0f0646-e057-45d5-bbe0-aaad7bc7dc81" name="lab1.zstu" use_path_mappings="true">
        <path_mappings>
          <mapping local-root="$PROJECT_DIR$" remote-root="C:/OpenServer/domains/lab1.zstu" />
        </path_mappings>
      </server>
    </servers>
  </component>
  <component name="PhpWebServerValidation" path_to_validation_script="C:\OpenServer\domains\cms" selected_validation_type="LOCAL" web_path_to_validation_script="http://cms" />
  <component name="PhpWorkspaceProjectConfiguration" backward_compatibility_performed="true" interpreter_name="PHP" />
  <component name="PhpXdebugProxy" host="localhost" port="9000" />
  <component name="ProjectFrameBounds">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1382" />
    <option name="height" value="744" />
  </component>
  <component name="ProjectInspectionProfilesVisibleTreeState">
    <entry key="Project Default">
      <profile-state>
        <expanded-state>
          <State>
            <id />
          </State>
          <State>
            <id>GeneralPHP</id>
          </State>
          <State>
            <id>JavaScript</id>
          </State>
          <State>
            <id>JavaScript validity issuesJavaScript</id>
          </State>
          <State>
            <id>PHP</id>
          </State>
          <State>
            <id>SQL</id>
          </State>
          <State>
            <id>TypeScript</id>
          </State>
        </expanded-state>
        <selected-state>
          <State>
            <id>SqlDialectInspection</id>
          </State>
        </selected-state>
      </profile-state>
    </entry>
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scratches" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="common" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="common" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="css" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="application" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="views" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="application" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="views" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="home" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="application" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="views" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="account" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="application" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="models" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="application" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="models" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="viewmodels" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="application" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="core" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
          <PATH>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.intellij.ide.projectView.impl.nodes.ProjectViewProjectNode" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="cms" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="application" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
            <PATH_ELEMENT>
              <option name="myItemId" value="controllers" />
              <option name="myItemType" value="com.jetbrains.php.projectView.PhpTreeStructureProvider$1" />
            </PATH_ELEMENT>
          </PATH>
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="settings.editor.selected.configurable" value="reference.webide.settings.project.settings.php.debug" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="SearchEverywhereHistoryKey" value="Red&#9;null&#9;null" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\OpenServer\domains\cms\common\images" />
      <recent name="C:\OpenServer\domains\cms\common" />
      <recent name="C:\OpenServer\domains\cms" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\OpenServer\domains\cms\application\models\viewmodels" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JavaScript Debug.index.php">
    <configuration default="false" name="index.php" type="JavascriptDebugType" factoryName="JavaScript Debug" temporary="true" nameIsGenerated="true" uri="http://localhost:63342/cms/index.php">
      <method />
    </configuration>
    <configuration default="true" type="CodeceptionConfigurationType" factoryName="Codeception">
      <PhpTestRunnerSettings />
      <method />
    </configuration>
    <configuration default="true" type="JavaScriptTestRunnerJest" factoryName="Jest">
      <node-interpreter value="project" />
      <working-dir value="" />
      <envs />
      <scope-kind value="ALL" />
      <method />
    </configuration>
    <configuration default="true" type="JavaScriptTestRunnerProtractor" factoryName="Protractor">
      <config-file value="" />
      <node-interpreter value="project" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="JavascriptDebugType" factoryName="JavaScript Debug">
      <method />
    </configuration>
    <configuration default="true" type="NodeJSConfigurationType" factoryName="Node.js" path-to-node="project" working-dir="">
      <method />
    </configuration>
    <configuration default="true" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpBehatConfigurationType" factoryName="Behat">
      <BehatRunner />
      <method />
    </configuration>
    <configuration default="true" type="PhpLocalRunConfigurationType" factoryName="PHP Console">
      <method />
    </configuration>
    <configuration default="true" type="PhpSpecConfigurationType" factoryName="PHPSpec">
      <PhpTestRunnerSettings />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.gulp" factoryName="Gulp.js">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <gulpfile />
      <tasks />
      <arguments />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="js.build_tools.npm" factoryName="npm">
      <command value="run" />
      <scripts />
      <node-interpreter value="project" />
      <envs />
      <method />
    </configuration>
    <configuration default="true" type="mocha-javascript-test-runner" factoryName="Mocha">
      <node-interpreter>project</node-interpreter>
      <node-options />
      <working-directory />
      <pass-parent-env>true</pass-parent-env>
      <envs />
      <ui />
      <extra-mocha-options />
      <test-kind>DIRECTORY</test-kind>
      <test-directory />
      <recursive>false</recursive>
      <method />
    </configuration>
    <list size="1">
      <item index="0" class="java.lang.String" itemvalue="JavaScript Debug.index.php" />
    </list>
    <recent_temporary>
      <list size="1">
        <item index="0" class="java.lang.String" itemvalue="JavaScript Debug.index.php" />
      </list>
    </recent_temporary>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="9d6152ef-3098-49d9-b409-2997cc7d2363" name="Default" comment="" />
      <created>1497374927619</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1497374927619</updated>
      <workItem from="1497374930001" duration="15249000" />
      <workItem from="1497557155770" duration="38153000" />
      <workItem from="1497869977708" duration="18071000" />
      <workItem from="1497965934512" duration="2910000" />
      <workItem from="1497978393012" duration="5834000" />
      <workItem from="1498046862567" duration="867000" />
      <workItem from="1498054655247" duration="70000" />
      <workItem from="1498054823018" duration="13623000" />
      <workItem from="1498117352671" duration="27294000" />
      <workItem from="1498330099786" duration="599000" />
      <workItem from="1498340716721" duration="9997000" />
      <workItem from="1498394179865" duration="9780000" />
      <workItem from="1498412039689" duration="12248000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="154695000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="7" />
    <layout>
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.24524158" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.329653" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.329653" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="true" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.37381703" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="PHP-CGI Server" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.329653" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="processedProjectFiles" value="true" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="176" />
    </breakpoint-manager>
    <watches-manager>
      <configuration name="index.php">
        <watch expression="$this" language="PHP" />
      </configuration>
    </watches-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/application/core/Config.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="272">
          <caret line="21" column="0" lean-forward="false" selection-start-line="21" selection-start-column="0" selection-end-line="21" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/common/configs.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="9" column="16" lean-forward="false" selection-start-line="9" selection-start-column="16" selection-end-line="9" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/Application.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="21" column="50" lean-forward="true" selection-start-line="21" selection-start-column="50" selection-end-line="21" selection-end-column="50" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/common/ClassLoader.php" />
    <entry file="file://$PROJECT_DIR$/.htaccess">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="23" lean-forward="false" selection-start-line="0" selection-start-column="23" selection-end-line="0" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/controllers/ErrorController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="8" column="22" lean-forward="false" selection-start-line="8" selection-start-column="22" selection-end-line="8" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/ModelMapper.inc" />
    <entry file="file://$PROJECT_DIR$/application/core/TemplateManager.php" />
    <entry file="file://$PROJECT_DIR$/application/core/Router.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="25" column="42" lean-forward="true" selection-start-line="25" selection-start-column="42" selection-end-line="25" selection-end-column="42" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/common/configs.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="18" column="53" lean-forward="false" selection-start-line="18" selection-start-column="53" selection-end-line="18" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/models/Account.php" />
    <entry file="file://$PROJECT_DIR$/application/core/Request.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="447">
          <caret line="35" column="0" lean-forward="false" selection-start-line="35" selection-start-column="0" selection-end-line="35" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/ModelBinder.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="22" column="0" lean-forward="false" selection-start-line="22" selection-start-column="0" selection-end-line="22" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/BaseModelService.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="11" column="0" lean-forward="false" selection-start-line="11" selection-start-column="0" selection-end-line="11" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/ModelBase.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="201">
          <caret line="33" column="0" lean-forward="false" selection-start-line="33" selection-start-column="0" selection-end-line="33" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/models/Category.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="10" column="0" lean-forward="false" selection-start-line="10" selection-start-column="0" selection-end-line="10" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/models/NewsService.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="629">
          <caret line="44" column="38" lean-forward="false" selection-start-line="44" selection-start-column="38" selection-end-line="44" selection-end-column="38" />
          <folding>
            <element signature="e#121#159#0#PHP" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="9" column="36" lean-forward="true" selection-start-line="9" selection-start-column="36" selection-end-line="9" selection-end-column="36" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/controllers/CategoriesController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="15" column="8" lean-forward="false" selection-start-line="15" selection-start-column="8" selection-end-line="15" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/models/News.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="17" column="24" lean-forward="false" selection-start-line="17" selection-start-column="24" selection-end-line="17" selection-end-column="24" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/ViewParametersManager.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="425">
          <caret line="30" column="52" lean-forward="false" selection-start-line="30" selection-start-column="52" selection-end-line="30" selection-end-column="52" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/models/MagazinePreview.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="17" column="26" lean-forward="false" selection-start-line="17" selection-start-column="26" selection-end-line="17" selection-end-column="26" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/common/css/flexslider.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-28">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/common/css/owl.carousel.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-28">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/common/css/bootstrap-3.1.1.min.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="74">
          <caret line="6" column="35227" lean-forward="true" selection-start-line="6" selection-start-column="35227" selection-end-line="6" selection-end-column="35227" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/models/viewmodels/LoginViewModel.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="8" column="0" lean-forward="false" selection-start-line="8" selection-start-column="0" selection-end-line="9" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/views/home/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="163">
          <caret line="56" column="40" lean-forward="false" selection-start-line="56" selection-start-column="40" selection-end-line="56" selection-end-column="40" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/models/MagazinePreviewService.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="16" column="0" lean-forward="true" selection-start-line="16" selection-start-column="0" selection-end-line="16" selection-end-column="0" />
          <folding>
            <element signature="e#120#158#0#PHP" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/DbProvider.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="533">
          <caret line="40" column="42" lean-forward="false" selection-start-line="40" selection-start-column="42" selection-end-line="40" selection-end-column="42" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/controllers/HomeController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="21" column="19" lean-forward="true" selection-start-line="21" selection-start-column="19" selection-end-line="21" selection-end-column="19" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/common/js/easing.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-887">
          <caret line="34" column="6" lean-forward="false" selection-start-line="34" selection-start-column="6" selection-end-line="34" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/Redirect.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="16" column="0" lean-forward="false" selection-start-line="16" selection-start-column="0" selection-end-line="16" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/Auth.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="142">
          <caret line="45" column="0" lean-forward="false" selection-start-line="45" selection-start-column="0" selection-end-line="45" selection-end-column="0" />
          <folding>
            <marker date="1498385442422" expanded="true" signature="393:428" ph="SELECT * FRO... users" />
            <marker date="1498385442422" expanded="true" signature="393:431" ph="SELECT * FRO... users" />
            <marker date="1498385442422" expanded="true" signature="620:658" ph="SELECT role users" />
            <marker date="1498385442422" expanded="true" signature="620:661" ph="SELECT role users" />
            <marker date="1498385442422" expanded="true" signature="1035:1073" ph="SELECT role users" />
            <marker date="1498385442422" expanded="true" signature="1035:1089" ph="SELECT role users" />
            <marker date="1498385442422" expanded="true" signature="1035:1090" ph="SELECT role users" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/ModelMapper.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="260">
          <caret line="57" column="8" lean-forward="false" selection-start-line="57" selection-start-column="8" selection-end-line="57" selection-end-column="8" />
          <folding>
            <marker date="1498386234296" expanded="true" signature="1072:1135" ph="INSERT INTO $... " />
            <marker date="1498386234296" expanded="true" signature="1622:1671" ph="UPDATE ${{$t... " />
            <marker date="1498386234296" expanded="true" signature="1822:1836" ph="SELECT ${{$f... " />
            <marker date="1498386234296" expanded="true" signature="1822:1860" ph="SELECT * FRO... $" />
            <marker date="1498386234296" expanded="true" signature="1822:1861" ph="SELECT * FRO... $" />
            <marker date="1498386234296" expanded="true" signature="2130:2166" ph="DELETE FROM " />
            <marker date="1498386234296" expanded="true" signature="2130:2167" ph="DELETE FROM " />
            <marker date="1498386234296" expanded="true" signature="2130:2168" ph="DELETE FROM " />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/Session.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="498">
          <caret line="51" column="18" lean-forward="false" selection-start-line="51" selection-start-column="18" selection-end-line="51" selection-end-column="18" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/views/account/delete.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="7" column="6" lean-forward="true" selection-start-line="7" selection-start-column="6" selection-end-line="7" selection-end-column="6" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/Config.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="92">
          <caret line="17" column="0" lean-forward="false" selection-start-line="17" selection-start-column="0" selection-end-line="17" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/views/account/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="275">
          <caret line="68" column="10" lean-forward="true" selection-start-line="58" selection-start-column="8" selection-end-line="68" selection-end-column="10" />
          <folding>
            <element signature="n#div#2;n#!!top" expanded="false" />
            <marker date="1498410290096" expanded="true" signature="885:1179" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/ControllerBase.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="15" column="24" lean-forward="false" selection-start-line="15" selection-start-column="24" selection-end-line="15" selection-end-column="24" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/views/account/edit.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding>
            <marker date="1498420245771" expanded="true" signature="504:596" ph="..." />
            <marker date="1498420245771" expanded="true" signature="504:667" ph="..." />
            <marker date="1498420245771" expanded="true" signature="713:880" ph="..." />
            <marker date="1498420245771" expanded="true" signature="926:1090" ph="..." />
            <marker date="1498420245771" expanded="true" signature="1136:1299" ph="..." />
            <marker date="1498420245771" expanded="true" signature="1345:1494" ph="..." />
            <marker date="1498420245771" expanded="true" signature="1540:1705" ph="..." />
            <marker date="1498420245771" expanded="true" signature="1840:1871" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/Application.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="27" column="0" lean-forward="true" selection-start-line="27" selection-start-column="0" selection-end-line="27" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/common/css/style.css">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-608">
          <caret line="2068" column="19" lean-forward="false" selection-start-line="2068" selection-start-column="19" selection-end-line="2068" selection-end-column="19" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/common/js/script.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="38" column="35" lean-forward="true" selection-start-line="38" selection-start-column="35" selection-end-line="38" selection-end-column="35" />
          <folding>
            <element signature="e#0#42#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/models/User.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="57">
          <caret line="23" column="21" lean-forward="true" selection-start-line="23" selection-start-column="21" selection-end-line="23" selection-end-column="21" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/models/viewmodels/RegistrationViewModel.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="176">
          <caret line="24" column="32" lean-forward="false" selection-start-line="24" selection-start-column="32" selection-end-line="24" selection-end-column="32" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/models/UserService.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="259">
          <caret line="80" column="60" lean-forward="false" selection-start-line="80" selection-start-column="60" selection-end-line="80" selection-end-column="60" />
          <folding>
            <element signature="e#120#158#0#PHP" expanded="true" />
            <marker date="1498428054938" expanded="true" signature="836:861" ph="SELECT * fro... user" />
            <marker date="1498428054938" expanded="true" signature="836:873" ph="SELECT * FRO... user" />
            <marker date="1498428054938" expanded="true" signature="836:874" ph="SELECT * FRO... users" />
            <marker date="1498428054938" expanded="true" signature="836:875" ph="SELECT * FRO... user" />
            <marker date="1498428054938" expanded="true" signature="836:887" ph="SELECT * FRO... user" />
            <marker date="1498428054938" expanded="true" signature="836:896" ph="SELECT * FRO... users" />
            <marker date="1498428054938" expanded="true" signature="842:861" ph="select * fro... user" />
            <marker date="1498428054938" expanded="true" signature="1670:1706" ph="SELECT * FRO... user" />
            <marker date="1498428054938" expanded="true" signature="1670:1730" ph="SELECT * FRO... user" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/views/_layout.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="196">
          <caret line="91" column="10" lean-forward="true" selection-start-line="91" selection-start-column="10" selection-end-line="91" selection-end-column="10" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/controllers/AccountController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="192">
          <caret line="70" column="40" lean-forward="false" selection-start-line="70" selection-start-column="40" selection-end-line="70" selection-end-column="40" />
          <folding>
            <element signature="e#126#152#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/views/account/register.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="66">
          <caret line="15" column="80" lean-forward="false" selection-start-line="15" selection-start-column="66" selection-end-line="15" selection-end-column="80" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/core/View.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="115">
          <caret line="30" column="0" lean-forward="false" selection-start-line="30" selection-start-column="0" selection-end-line="30" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/views/account/login.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6">
          <caret line="25" column="81" lean-forward="false" selection-start-line="25" selection-start-column="81" selection-end-line="25" selection-end-column="81" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
</project>